cbuffer CBuf
{
	matrix transform;
}; 

struct VSInput
{
	float3 pos : Position;
	float3 color : Color;
};

struct VSOut
{
	float4 pos : SV_Position;
	float3 color : Color;
};

VSOut main(VSInput input)
{
	VSOut vso;
	vso.pos = mul(float4(input.pos, 1.0f), transform);
	vso.color = input.color;
	return vso;
}
